panel.levelplot {lattice} | R Documentation

## Default Panel Function for levelplot

### Description

This is the default panel function for `levelplot`.

### Usage

    panel.levelplot(x, y, z, zcol,
                    subscripts,
                    at = mean(z),
                    shrink,
                    labels = NULL,
                    label.style = c("mixed", "flat", "align"),
                    contour = TRUE,
                    region = TRUE,
                    col = add.line$col,
                    lty = add.line$lty,
                    lwd = add.line$lwd,
                    cex = add.text$cex,
                    font = add.text$font,
                    col.text = add.text$col,
                    ...,
                    col.regions)

### Arguments

`x, y, z` | variables defining the plot
`zcol` | color numbers for each x,y combination
`subscripts` | which points to draw
`at` | cut points
`shrink` | either a numeric vector of length 2, or a list with components x and y which are numeric vectors of length 2.
`labels` | contour labels
`label.style` |
`contour` | logical
`region` | logical
`col, lty, lwd` | graphical parameters for contour lines
`cex, font, col.text` | graphical parameters for contour labels
`...` | extra parameters
`col.regions` | colors indexed by zcol

### Details

The same function is used for both `levelplot` and `contourplot` (which differ only in default values of some arguments). Most arguments are self-evident. `label.style` controls choice of how label positions are determined (this is not very sophisticated yet). The `shrink` argument allows the rectangles to be resized, proportional to the z-value. The specification can be made separately for widths and heights, in terms of a length 2 numeric vector, which gives the minimum and maximum proportion of shrinkage (corresponding to min and max of z).

### Author(s)

Deepayan Sarkar deepayan@stat.wisc.edu

### See Also

`levelplot`

[Package Contents]